Skip to main content
`Ctrl`+`K`

# PetscSpaceTensorSetSubspace

Set a space in the tensor product space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorSetSubspace(PetscSpace sp, PetscInt s, PetscSpace subsp)

## Input Parameters

- sp - the function space object

- s - The space number

- subsp - the number of spaces

## Note

The name SetSubspace is misleading because it is actually setting one of the defining spaces of the tensor product space, not a Subspace of it

## See Also

`PETSCSPACETENSOR`, `PetscSpace`, `PetscSpaceTensorGetSubspace()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/tensor/spacetensor.c

## Implementations

PetscSpaceTensorSetSubspace_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages